## libcommons-lang-java 2.6

=== debian/changelog ===
libcommons-lang-java (2.6-3ubuntu2) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:42:23 +0100

libcommons-lang-java (2.6-3ubuntu1) precise; urgency=low

  * Revert to 2.6-1 packaging, as 2.6-2 would pull in a plethora of Java/maven
    libraries into main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Dec 2011 14:48:44 +0100

libcommons-lang-java (2.6-3) unstable; urgency=low

  * Team upload.
  * Move libcommons-parent-java to Depends instead of Recommends.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Dec 2011 02:59:41 +0100

libcommons-lang-java (2.6-2) unstable; urgency=low

  * Team upload.

  [ Ludovic Claude ]
  * Update compat to 7
  * d/control:
    - remove Build-Depends on cdbs
    - add Depends and Build-Depends on libcommons-parent-java
    - add cross suggest between the binary and the documentation packages
    - add Build-Depends-Indep on bnd
  * d/rules: update to use dh 7
  * remove OSGi_Manifest.patch, use bnd itself to generate the OSGi manifest
  * Update copyright, use DEP-5 format
  * Update installation of the Javadoc package
  * poms: remove --no-parent as the parent is now packaged, use
    --has-package-version, add properties for mh_install and for installing
    the Javadoc jar

  [ Damien Raude-Morvan ]
  * Remove Arnaud from Uploaders.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 13 Oct 2011 21:09:20 +0100

libcommons-lang-java (2.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Set source package format as 3.0 (quilt).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Remove unnecessary Build-Depends on quilt.
  * Refresh patches.
  * Add mh_clean call in clean target.
  * Remove unnecessary dependency on JRE.
  * Link -doc javadocs with default-jdk-doc and add a Suggests dep on that.
  * Fix minor lintian warning about duplicate-short-description.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 02 Aug 2011 15:17:59 -0430

libcommons-lang-java (2.4-4) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 12:04:17 +0200

libcommons-lang-java (2.4-3) experimental; urgency=low

  * Update debian/control as my changes where not checked in previously

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 13 Jul 2009 00:16:04 +0100

libcommons-lang-java (2.4-2) experimental; urgency=low

  [ Ludovic Claude ]
  * Change section to java, bump up Standards-Version to 3.8.1
  * Add the Maven POM to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * Remove 01build_xml_license_location_patch.dpatch as it's not useful 
    anymore
  * Patch src/conf/MANIFEST.MF: add the OSGi metadata generated by the Maven 
    build, use quilt
  * Put the API documentation in a separate package

  [ Torsten Werner ]
  * Add Build-Depends: quilt, maven-repo-helper.
  * Upload to experimental.

 -- Torsten Werner <twerner@debian.org>  Sun, 12 Jul 2009 23:11:34 +0200

libcommons-lang-java (2.4-1ubuntu1) intrepid; urgency=low

  * (Build-)depend on default-jre/-jdk.

  [ Emmanuel Bourg ]
  * Update of the URLs
  * Rename Jakarta Commons to Apache Commons
  * debian/copyright: Switch to Apache License 2.0. Closes: #532885.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2008 15:58:22 +0000

libcommons-lang-java (2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/docs:
    + Do not install STATUS.html, which is removed.
  * debian/control:
    + Add Kumar Appaiah as an uploader.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 27 Apr 2008 17:33:07 +0530

libcommons-lang-java (2.3-4) unstable; urgency=low

  * Add Build-Depends-Indep on ant. Closes: #459279.

 -- Michael Koch <konqueror@gmx.de>  Sat, 05 Jan 2008 20:30:38 +0100

libcommons-lang-java (2.3-3) unstable; urgency=low

  * debian/control:
    - (Build-)Depends on java-gcj-compat(-dev).
    - Updated Standards-Version to 3.7.3.
    - Added Vcs-Svn and Vcs-Browser fields.
    - Removed comment about Jakarta project which doesnt apply anymore
      in long descripion
  * debian/rules:
    - Rewritten to use CDBS' ant task.

 -- Michael Koch <konqueror@gmx.de>  Fri, 04 Jan 2008 08:43:15 +0100

libcommons-lang-java (2.3-2) unstable; urgency=low

  * Use ecj instead of ecj-bootstrap in Build-Depends. Closes: #444506.
  * Moved debhelper and cdbs from Build-Depends-Indep to Build-Depends.
  * Use Homepage field in debian/control instead of naming it in the
    long description.
  * Updated debhelper level to 5.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Sun, 30 Sep 2007 21:49:22 +0200

libcommons-lang-java (2.3-1) unstable; urgency=low

  * New upstream (closes: #419850)
  * Removed Ola Lundqvist and Stefan Gybas from co-maintainers.
  * Standards-Version to 3.7.2, nothing to do.
  * Removed PROPOSAL.html from docs files (it does not exist anymore)

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 20 Apr 2007 09:14:04 +0200

libcommons-lang-java (2.1-1) unstable; urgency=low

  * New upstream release.
  * Removed Takashi Okamoto <tora@debian.org> from the co-maintainers
    (closes: #352984).
  * Updated Standards-Version to 3.6.2)
  * Re-build the apidoc with gjdoc
  * Using ecj and classpath(-common) to build

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 24 Apr 2006 21:14:48 +0200

libcommons-lang-java (2.0-6) unstable; urgency=low

  * debian/watch: added.

 -- Arnaud Vandyck <avdyk@debian.org>  Sun, 15 Aug 2004 01:52:08 +0200

libcommons-lang-java (2.0-5) unstable; urgency=low

  * Arnaud Vandyck:
    - build with cdbs

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 12 Jun 2004 20:21:53 +0200

libcommons-lang-java (2.0-4) unstable; urgency=low

  * removed build.xml entities patch, cleaned up the debian directory

