=== debian/control ===
Source: libcommons-lang-java
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Kumar Appaiah <akumar@debian.org>
Build-Depends: debhelper (>= 6), cdbs, default-jdk
Build-Depends-Indep: maven-repo-helper, ant, junit (>= 3.8.1), default-jdk-doc
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libcommons-lang-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libcommons-lang-java
Homepage: http://commons.apache.org/lang/

Package: libcommons-lang-java
Architecture: all
Depends: ${misc:Depends}
Description: Extension of the java.lang package
 The Lang Component contains a set of Java classes that provide helper
 methods for standard Java classes, especially those found in the
 java.lang package in the Sun JDK. The following classes are included:
 .
  * StringUtils - Helper for java.lang.String.
  * CharSetUtils - Methods for dealing with CharSets, which are sets of
    characters such as [a-z] and [abcdez].
  * RandomStringUtils - Helper for creating randomised Strings.
  * NumberUtils - Helper for java.lang.Number and its subclasses.
  * NumberRange - A range of numbers with an upper and lower bound.
  * ObjectUtils - Helper for java.lang.Object.
  * SerializationUtils - Helper for serializing Objects.
  * SystemUtils - Utility class defining the Java system properties.
  * NestedException package - A sub-package for the creation of nested
    exceptions.
  * Enum package - A sub-package for the creation of enumerated types.
  * Builder package - A sub-package for the creation of equals, hashCode,
    compareTo and toString methods.

Package: libcommons-lang-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: default-jdk-doc
Description: Documentation for an extension of the java.lang package
 The Lang Component contains a set of Java classes that provide helper
 methods for standard Java classes, especially those found in the
 java.lang package in the Sun JDK. The following classes are included:
 .
  * StringUtils - Helper for java.lang.String.
  * CharSetUtils - Methods for dealing with CharSets, which are sets of
    characters such as [a-z] and [abcdez].
  * RandomStringUtils - Helper for creating randomised Strings.
  * NumberUtils - Helper for java.lang.Number and its subclasses.
  * NumberRange - A range of numbers with an upper and lower bound.
  * ObjectUtils - Helper for java.lang.Object.
  * SerializationUtils - Helper for serializing Objects.
  * SystemUtils - Utility class defining the Java system properties.
  * NestedException package - A sub-package for the creation of nested
    exceptions.
  * Enum package - A sub-package for the creation of enumerated types.
  * Builder package - A sub-package for the creation of equals, hashCode,
    compareTo and toString methods.
 .
 This package contains the API documentation of libcommons-lang-java
